<script setup>
    import { ref, onMounted } from 'vue';
    import {useCoinfoliosStore} from '@/stores/coinfolios';
    import CoinFolio from './CoinFolio.vue';

    let store = useCoinfoliosStore();
    let persistedCoinfolios = ref([]);

    onMounted(() => {
        let json = window.localStorage.getItem("coinfolios");
        if(json) {
            persistedCoinfolios.value = JSON.parse(json);
        }
    });
</script>

<template>
    <ul>
        <li v-for="coinfolio in persistedCoinfolios" class="mb-5">
            <CoinFolio :coinfolioId="coinfolio.id" :ownerToken="coinfolio.ownerToken" />
        </li>
    </ul>
</template>